{% extends "base/normal.html" %}

{% comment %}
Presenter Club - Make Great Presentations, Faster
Copyright (C) 2016 Sam Parkinson <sam@sam.today>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}

{% block title %}{{ viewing.username }} on Presenter Club{% endblock title %}

{% block content %}
{% if user == viewing %}
    <div class="title-n-button">
        <h1>Your Presentations
            {% if is_pro %}<span class='ProBadge'>Pro</span>{% endif %}
        </h1>
        <a href="{% url 'u:create' username=user.username %}"
           class="button special small">
            New Presentation
        </a>
        <a href="{% url 'u:usersettings' username=user.username %}"
           class="button small">
            Settings
        </a>
        <a href="/accounts/logout/"
           class="button small">
            Logout
        </a>
    </div>
{% else %}
    <h1>
        {{ profile.name }}'s Presentations
        {% if is_pro %}<span class='ProBadge'>Pro</span>{% endif %}
    </h1>
{% endif %}
{% if not is_pro and viewing == user and presentations %}
    <p><a href='{% url 'promo:gopro' %}'>Upgrade to Pro</a> to unlock private
       presentations, custom styles, the concierge style service and
       remove the "Made with Presenter Club" logo.</p>
{% endif %}
<p>{{ profile.bio }}</p>

{% comment %}
{% if user == viewing and not profile.has_validated_email and presentations %}
    <p><b>You need to validate your email before you can start using Presenter
       Club.</b>  Please see the link that we sent to your email,
       <i>{{ viewing.email }}</i>.  If there is an issue, please do not
       hesitate to email us via <a href="mailto:hi@presenter.club">
       hi@presenter.club</a> and we will fix the issue</p>
{% endif %}
{% endcomment %}

{% if user == viewing %}
    <div class="Tabs">
        <div class="Tabs__head">
            <a class="Tabs__head__label"
               href="{% url 'medialibrary:index' username=user.username %}">
                Media Library
            </a>
            <a class="Tabs__head__label Tabs__head__label--selected"
               href="{% url 'u:userpage' username=user.username %}">
                Presentations
            </a>
            <a class="Tabs__head__label"
               href="{% url 'styles:index' username=user.username %}">
                Styles
            </a>
        </div>
        <div class="Tabs__content">
{% endif %}
    {% block userpagemain %}{% endblock userpagemain %}
{% if user == viewing %}
        </div>
    </div>
{% endif %}


{% endblock content %}
